#290 0.686b3: samba: PANIC (pid xxx): push_ascii - dest_len == -1

v0.686bx
closed
Volker
9
2012-10-28
2007-12-23
No

Hi,

With last freenas version, i get this error when i try to list content of sambe mount:

--8<--
Dec 23 13:15:00 smbd[1445]: dumping core in /var/log/samba/cores/smbd
Dec 23 13:15:00 smbd[1445]: [2007/12/23 13:15:00, 0] lib/fault.c:dump_core(181)
Dec 23 13:15:00 smbd[1445]: unable to produce a stack trace on this platform
Dec 23 13:15:00 smbd[1445]: [2007/12/23 13:15:00, 0] lib/util.c:log_stack_trace(1786)
Dec 23 13:15:00 smbd[1445]: PANIC (pid 1445): push_ascii - dest_len == -1
Dec 23 13:15:00 smbd[1445]: [2007/12/23 13:15:00, 0] lib/util.c:smb_panic(1632)
Dec 23 13:14:53 smbd[1445]: jedi-ubuntu (192.168.0.104) connect to service smalldisk initially as user duclos (uid=1002, gid=1002) (pid 1445)
Dec 23 13:14:53 smbd[1445]: [2007/12/23 13:14:53, 1] smbd/service.c:make_connection_snum(1033)
--8<--

This is the same bug as this one in Debian: https://bugzilla.samba.org/show_bug.cgi?id=5087
--8<--
Yes, this is a known regression that was identified shortly after the release of 3.0.27. ...
This particular regression will be fixed in 3.0.27a ...
--8<--

Bye.

Discussion

  • Volker

    Volker - 2007-12-24

    Logged In: YES
    user_id=1598685
    Originator: NO

    Hi,

    at the current release state i didn't want to upgrade Samba to the latest FreeBSD port (3.0.28) because Samba is a really beast and testing everything will be impossible to keep the release timeline. After releasing FreeNAS 0.686 stable i will include the latest Samba as 0.687b1.

    Regards
    Volker

     
  • Andre DUCLOS

    Andre DUCLOS - 2007-12-24

    Logged In: YES
    user_id=632705
    Originator: YES

    Hi,

    Currently, I can not use Freenas because of this bug.
    You can not patch samba (https://bugzilla.samba.org/attachment.cgi?id=2976)?

    How long do you think that the version released 0.687b1 (without this bug)?

    Thanks.

     
  • Volker

    Volker - 2007-12-25

    Logged In: YES
    user_id=1598685
    Originator: NO

    Hi,

    i've upgraded Samba to 3.0.28 in FreeNAS 0.687b1. You can download the latest build including it in the 'Nighly Build' section (http://sourceforge.net/project/showfiles.php?group_id=151951) as soon as i've uploaded the files.

    Regards
    Volker

     

Log in to post a comment.